Need to migrate to new server ISPConfig to new server

Hi,

I have a server which I'm managing today with ISP confing and I have multiple domains working there.
Now i would like to migrate all my domains from that server into new one, however the new one will not have any control panel.

When I try create a certificate on the new server this is the error I'm getting;:

Failed authorization procedure. blog.easynote.com (http-01): urn:ietf:params:acme:error:unauthorized :: The client lacks sufficient authorization :: Invalid response from http://blog.easynote.com/.well-known/acme-challenge/iRDd9YwqU9M_fG-thBqnO_tKihW2FC0pucwiNvabdns [91.109.16.75]: "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"\n   \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n<ht"

IMPORTANT NOTES:

I have also pointed the domain to the new server however I still get that message.

I have also tried to copy the certificated from the old server to new one however I'm getting these errors when i run dry run:

leaning up challenges

Encountered exception during recovery:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 75, in handle_authorizations
resp = self._solve_challenges(aauthzrs)
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 132, in _solve_challenges
resp = self.auth.perform(all_achalls)
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 83, in perform
self._create_challenge_dirs()
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 172, in _create_challenge_dirs
stat_path = os.stat(path)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/ispconfig/interface/acme'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/certbot/error_handler.py", line 108, in _call_registered
self.funcs-1
File "/usr/lib/python3/dist-packages/certbot/auth_handler.py", line 316, in _cleanup_challenges
self.auth.cleanup(achalls)
File "/usr/lib/python3/dist-packages/certbot/plugins/webroot.py", line 224, in cleanup
os.remove(validation_path)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/local/ispconfig/interface/acme/.well-known/acme-challenge/hA-ku-bcUmHT4ZJX0jcC_92aeK9yDCXLirc-bUwc1Bw'
Attempting to renew cert (blog.easynote.com) from /etc/letsencrypt/renewal/blog.easynote.com.conf produced an unexpected error: [Errno 2] No such file or directory: '/usr/local/ispconfig/interface/acme'. Skipping.

Since I'm running Debian 8 on the old server, I can not install certbort to uninstall the certificates on the old server.

What would be the best way to "shut" down old domain and server and just install new certificates on new server?

Hi @noq

your old server is completely irrelevant. You can use multiple certificates on different machines. And the old server doesn't block creating new certificates on your new server.

You have to fix your new server.

Command? What says

apachectl -S

Hi @JuergenAuer

I see. I'm running nginx on the new server..
Do you maybe have similar command for nginx?

There answers an Apache.

D:\temp>download http://blog.easynote.com/ -h
Link: https://blog.easynote.com/wp-json/; rel="https://api.w.org/"
Vary: Accept-Encoding
X-Content-Type-Options: nosniff
Keep-Alive: timeout=5, max=100
Connection: Keep-Alive
Transfer-Encoding: chunked
Content-Type: text/html; charset=UTF-8
Date: Sat, 14 Nov 2020 11:49:52 GMT
Server: Apache

Status: 200 OK

1 Like

I just changed domain dns to go to the new server again.
Could you please try again and see what kind of results you get.

Hi,

I have fixed it... and to be honest i really dont know the reason i could run to create new certificate.
I redirected my domain again to the new server, waited little bit, re-run certbot to create certificate and it worked.

Thanks for all help @jurgenhaas

1 Like